#
# spec file for package ghc-utf8-string
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name utf8-string
Name:           ghc-%{pkg_name}
Version:        1.0.1.1
Release:        9.11
Summary:        Support for reading and writing UTF8 Strings
License:        BSD-3-Clause
Group:          System/Libraries
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
Source1:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/revision/1.cabal
BuildRequires:  ghc-Cabal-devel
# Begin cabal-rpm deps:
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-rpm-macros
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# End cabal-rpm deps

%description
A UTF8 layer for Strings. The utf8-string package provides operations for
encoding UTF8 strings to Word8 lists and back, and for reading and writing UTF8
without truncation.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}
cp -p %{SOURCE1} %{pkg_name}.cabal


%build
%ghc_lib_build


%install
%ghc_lib_install


%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%doc CHANGELOG.markdown

%changelog
* Sun Jul 10 2016 psimons@suse.com
- Update to version 1.0.1.1 revision 1 with cabal2obs.
* Mon Aug 31 2015 mimi.vx@gmail.com
- update to 1.0.1.1
  * fix build under older GHC
* Sun Aug 23 2015 mimi.vx@gmail.com
- update to 1.0.1
  * Improve the performance of Data.ByteString.Lazy.UTF8.fromString.
* Mon Apr 20 2015 mimi.vx@gmail.com
- update to version 1
  * Remove out all the old utf8 IO support. GHC supports utf8 now.
  * Performance tweaks
  * bytestring-in-base flag default to False
* Mon Oct 21 2013 sbahling@suse.com
- spec file: Add %%defattr(-,root,root,-) to %%files devel section
* Wed May 15 2013 peter.trommler@ohm-hochschule.de
- new cabal-rpm spec file template
  * no macros spanning multiple spec file sections
* Thu Jun  7 2012 peter.trommler@ohm-hochschule.de
- explicitly BuildRequire bytestring
- add summary and description
* Thu Jun  7 2012 herbert@graeber-clan.de
- updated for haskell platform 2012.2.0.0
  new spec file template generated by cabal2spec-0.25.5
* Wed Jan 18 2012 herbert@graeber-clan.de
- initial packaging for Fedora automatically generated by cabal2spec-0.24.1
